Bug 1269378 - ds-logpipe.py with wrong arguments - python exception in the output
Summary: ds-logpipe.py with wrong arguments - python exception in the output
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-07 07:24 UTC by Simon Pichugin
Modified: 2016-11-03 20:36 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.3.5.2-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:36:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2594 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2016-11-03 12:11:08 UTC

Description Simon Pichugin 2015-10-07 07:24:16 UTC
Description of problem:
If we execute ds-logpipe.py with wrong arguments, then instead of proper message we see AttributeError python exception. 

How reproducible:
Always

Step to Reproduce:
Execute command line utility ds-logpipe.py with a wrong arguments:
ds-logpipe.py wrong_arg1 wrongarg2

Actual results:
Traceback (most recent call last):
  File "./ldap/admin/src/scripts/ds-logpipe.py", line 263, in <module>
    options, logfname = parse_options()
  File "./ldap/admin/src/scripts/ds-logpipe.py", line 259, in parse_options
    parser.error("error - unhandled command line arguments: %s" % args.join(' '))
AttributeError: 'list' object has no attribute 'join'

Expected results:
Usage: ds-logpipe.py <name of pipe> [options]

ds-logpipe.py: error: error - unhandled command line arguments: wrong_arg1 wrongarg2

Comment 3 Simon Pichugin 2016-06-14 10:42:14 UTC
Build tested:
389-ds-base-1.3.5.4-1.el7.x86_64

Steps to verify:
[root@host ~]# ds-logpipe.py wrong_arg1 wrongarg2

Output:
Usage: ds-logpipe.py <name of pipe> [options]

ds-logpipe.py: error: error - unhandled command line arguments: wrong_arg1 wrongarg2

Marking as verified.

Comment 5 errata-xmlrpc 2016-11-03 20:36:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2594.html


Note You need to log in before you can comment on or make changes to this bug.